org.apache.catalina.valves

## Class AbstractAccessLogValve.ByteSentElement

- java.lang.Object
- - org.apache.catalina.valves.AbstractAccessLogValve.ByteSentElement

- All Implemented Interfaces:
    AbstractAccessLogValve.AccessLogElement
  Enclosing class:
    AbstractAccessLogValve

      protected static class AbstractAccessLogValve.ByteSentElement
      extends Object
      implements AbstractAccessLogValve.AccessLogElement

  write bytes sent, excluding HTTP headers - %b, %B

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAccessLogValve.ByteSentElement(boolean conversion)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAccessLogValve.ByteSentElement

          public AbstractAccessLogValve.ByteSentElement(boolean conversion)

      Parameters:
        `conversion` - `true` to write '-' instead of 0 - %b.

  - ### Method Detail

    - #### addElement

          public void addElement(CharArrayWriter buf,
                        Date date,
                        Request request,
                        Response response,
                        long time)

      Specified by:
        `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.